rte_mem_resource(3)

NAME
rte_mem_resource

SYNOPSIS

#include <rte_dev.h>

  Data Fields

uint64_t phys_addr
uint64_t len
void * addr

Detailed Description

A generic memory resource representation.

Definition at line 55 of file rte_dev.h.

Field Documentation

  uint64_t phys_addr
Physical address, 0 if not resource.

Definition at line 56 of file rte_dev.h.

  uint64_t len
Length of the resource.

Definition at line 57 of file rte_dev.h.

  void* addr
Virtual address, NULL when not mapped.

Definition at line 58 of file rte_dev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.